#!/bin/sh

export PATH=$PATH:/bin/:/sbin/:/usr/bin/:/usr/sbin/:
cd $(dirname $0)

LOG_FILE="lastRun.log"

if [ -e "recovery_flag" ]; then
   rm recovery_flag
   sync
   exit
fi

killall -9 psplash

udevadm settle

version="$( cat /boot/version )"
if [ "${version:8:1}" = "C" ]; then
	exec &>> $LOG_FILE
	echo
	echo Running recovery...
	touch recovery_flag
else
	exec &> $LOG_FILE
	echo Rebooting in configos...
fi

chmod +x recovery
./recovery

sync
reboot -f
